"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.register = void 0;
const rename_1 = require("./rename");
function register(languageService, getTextDocument, host) {
    return async (codeAction) => {
        var _a, _b, _c, _d;
        const data = codeAction.data;
        const document = getTextDocument(data.uri);
        const [formatOptions, preferences] = document ? await Promise.all([
            (_b = (_a = host.getFormatOptions) === null || _a === void 0 ? void 0 : _a.call(host, document)) !== null && _b !== void 0 ? _b : {},
            (_d = (_c = host.getPreferences) === null || _c === void 0 ? void 0 : _c.call(host, document)) !== null && _d !== void 0 ? _d : {},
        ]) : [{}, {}];
        if ((data === null || data === void 0 ? void 0 : data.type) === 'fixAll') {
            const fixs = data.fixIds.map(fixId => {
                try {
                    return languageService.getCombinedCodeFix({ type: 'file', fileName: data.fileName }, fixId, formatOptions, preferences);
                }
                catch { }
            });
            const changes = fixs.map(fix => { var _a; return (_a = fix === null || fix === void 0 ? void 0 : fix.changes) !== null && _a !== void 0 ? _a : []; }).flat();
            codeAction.edit = rename_1.fileTextChangesToWorkspaceEdit(changes, getTextDocument);
        }
        else if ((data === null || data === void 0 ? void 0 : data.type) === 'refactor') {
            const editInfo = languageService.getEditsForRefactor(data.fileName, formatOptions, data.range, data.refactorName, data.actionName, preferences);
            if (editInfo) {
                const edit = rename_1.fileTextChangesToWorkspaceEdit(editInfo.edits, getTextDocument);
                // TODO: renameFilename
                // TODO: renameLocation
                codeAction.edit = edit;
            }
        }
        return codeAction;
    };
}
exports.register = register;
//# sourceMappingURL=codeActionResolve.js.map