import type * as Proto from '../protocol';
export interface IFilePathToResourceConverter {
    /**
     * Convert a typescript filepath to a VS Code resource.
     */
    toResource(filepath: string): string;
}
export declare function plainWithLinks(parts: readonly Proto.SymbolDisplayPart[] | string, filePathConverter: IFilePathToResourceConverter): string;
export declare function tagsMarkdownPreview(tags: readonly Proto.JSDocTagInfo[], filePathConverter: IFilePathToResourceConverter): string;
export declare function markdownDocumentation(documentation: Proto.SymbolDisplayPart[] | string | undefined, tags: Proto.JSDocTagInfo[] | undefined, filePathConverter: IFilePathToResourceConverter): string;
export declare function addMarkdownDocumentation(out: string, documentation: Proto.SymbolDisplayPart[] | string | undefined, tags: Proto.JSDocTagInfo[] | undefined, converter: IFilePathToResourceConverter): string;
